import { Component, OnInit } from '@angular/core';
import {GcPdfViewer} from '@grapecity/gcpdfviewer';

@Component({
  selector: 'app-gc-viewer',
  templateUrl: './gc-viewer.component.html',
  styleUrls: ['./gc-viewer.component.css']
})
export class GcViewerComponent implements OnInit {

  constructor() { 
    
  }

  ngOnInit(): void {
  }
  ngAfterViewInit(){
    const viewer = new GcPdfViewer("#viewer", {
      workerSrc: "./node_modules/@grapecity/gcpdfviewer/gcpdfviewer.worker.js",
      restoreViewStateOnLoad: false
    });
    viewer.addDefaultPanels();
    viewer.open("./assets/helloworld.pdf");
  }

}
